
QGIS Application - Bug report #10345

New field calculator bar does not refresh values after update

2014-05-25 08:11 AM - Alexandre Neto

Status: Closed

Priority: Normal

Assignee: Nathan Woodrow

Category: Attribute table

Affected QGIS version:master Regression?: No

Operating System: Ubuntu 12.10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18766

Description

Using the new field calculator bar, I have noticed that the values are not refreshed unless you scroll the attribute table down.

When you press the update button, nothing seems to have happen, making the user press more than once.

As soon as you scroll it, the values are updated

Related issues:

Duplicated by QGIS Application - Bug report # 10349: field calculator bar: cl... Closed 2014-05-25

Associated revisions

Revision 20015e72 - 2014-05-27 11:20 AM - Matthias Kuhn

Attribute table: Fix repaint on change

Fix #10345

Revision ee770c4f - 2014-05-27 06:20 PM - Matthias Kuhn

Better implementation of 20015e72

Fix #10345

History

#1 - 2014-05-25 09:59 AM - Matthias Kuhn

Sounds more like an attribute table / layer cache problem than related to the expression bar. This does not need to do anything but updating and if you say

that works, the problem is somewhere else.

#2 - 2014-05-25 07:53 PM - Mathieu Pellerin - nIRV

Steps to reproduce this issue here #10349

#3 - 2014-05-27 02:20 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"20015e723a25186486d695fe59be028ef4528bd4".
